Skip to main content
POST
Create or update topic or pathway enrolments

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Body

application/json
user_name
string

User name identifier (case-insensitive). Required, unless user_id is supplied instead

user_id
integer

The internal user ID (person.id). Alternative to user_name

enrolment_code_1
string

The enrolment code, eg TH-4-77-NEW. If no codes are given, an empty assignments list is returned

enrolment_code_1_due_date
string

When the enrolment is due. Formats: 'yyyy-mm-dd', 'dd/mm/yyyy' or 'dd/mm/yy'

enrolment_code_1_conquered_date
string

When the enrolment was conquered (completed), used with completion codes. Same formats

enrolment_code_1_certified_date
string

When the enrolment is certified up to. Same formats

enrolment_code_1_skill_attained
string

Skill names attained, separated with a semicolon

enrolment_code_2
string

The enrolment code, eg TH-4-77-NEW

enrolment_code_2_due_date
string

When the enrolment is due. Formats: 'yyyy-mm-dd', 'dd/mm/yyyy' or 'dd/mm/yy'

enrolment_code_2_conquered_date
string

When the enrolment was conquered (completed), used with completion codes. Same formats

enrolment_code_2_certified_date
string

When the enrolment is certified up to. Same formats

enrolment_code_2_skill_attained
string

Skill names attained, separated with a semicolon

enrolment_code_3
string

The enrolment code, eg TH-4-77-NEW

enrolment_code_3_due_date
string

When the enrolment is due. Formats: 'yyyy-mm-dd', 'dd/mm/yyyy' or 'dd/mm/yy'

enrolment_code_3_conquered_date
string

When the enrolment was conquered (completed), used with completion codes. Same formats

enrolment_code_3_certified_date
string

When the enrolment is certified up to. Same formats

enrolment_code_3_skill_attained
string

Skill names attained, separated with a semicolon

enrolment_code_4
string

The enrolment code, eg TH-4-77-NEW

enrolment_code_4_due_date
string

When the enrolment is due. Formats: 'yyyy-mm-dd', 'dd/mm/yyyy' or 'dd/mm/yy'

enrolment_code_4_conquered_date
string

When the enrolment was conquered (completed), used with completion codes. Same formats

enrolment_code_4_certified_date
string

When the enrolment is certified up to. Same formats

enrolment_code_4_skill_attained
string

Skill names attained, separated with a semicolon

enrolment_code_5
string

The enrolment code, eg TH-4-77-NEW

enrolment_code_5_due_date
string

When the enrolment is due. Formats: 'yyyy-mm-dd', 'dd/mm/yyyy' or 'dd/mm/yy'

enrolment_code_5_conquered_date
string

When the enrolment was conquered (completed), used with completion codes. Same formats

enrolment_code_5_certified_date
string

When the enrolment is certified up to. Same formats

enrolment_code_5_skill_attained
string

Skill names attained, separated with a semicolon

Response

The user's current enrolment for each code

assignments
(Topic enrolment · object | Pathway enrolment · object)[]